Installer - Feature #36902

Support Pulpcore 3.39 installations
11/07/2023 07:46 PM - lan Ballou

Status: Closed
Priority: Normal
Assignee: lan Ballou
Category: Foreman modules
Target version: 3.9.0
Difficulty: Fixed in Releases: 3.9.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pul
pcore/pull/315

Description

The service file needs to change to work with Pulpcore 3.39. There is a new executable. Here is what | changed on my dev machine
to make things work:

NOTE: pulpcore-api no longer accepts --max-requests-jitter.

pulpcore—api.service

#ExecStart=/usr/libexec/pulpcore/gunicorn pulpcore.app.wsgi:application \

# ——timeout 90 \

# -w 5 \

# ——access-logfile - \

# ——access-logformat 'pulp [%({correlation-id}o)s]: %$(h)s %$(1l)s %(u)s %$(t)s "%(r)s" %(s)s
$(b)s "$(f)s" "S(a)s"'

ExecStart=/usr/local/bin/pulpcore-api --preload —-timeout 90 --workers 5 —--max-requests 800 —--acce
ss—logfile - --access-logformat 'pulp [%({correlation-id}o)s]: %$(h)s $(1l)s %$(u)s %$(t)s "% (r)s" % (s
)s $(b)s "$(f)s" "S(a)s"'

pulpcore-content.service

#ExecStart=/usr/libexec/pulpcore/gunicorn pulpcore.content:server \

# -—timeout 90 \

# —--worker-class 'aiohttp.GunicornWebWorker' \

# -w 9\

# -—access-logfile -

ExecStart=/usr/local/bin/pulpcore-content --preload —--timeout 90 --workers 5 —--access-logfile -

Associated revisions

Revision 7e12c0f4 - 11/23/2023 02:33 PM - lan Ballou
Fixes #36902 - Support Pulpcore 3.39, drop older versions

History

#1 - 11/07/2023 07:47 PM - lan Ballou

- Description updated

#2 - 11/07/2023 08:00 PM - Evgeni Golov

NOTE: pulpcore-api no longer accepts --max-requests-jitter.
this seems like a bug to me

#3 - 11/07/2023 08:13 PM - lan Ballou

| agree, the fact that it's missing is a bug. However it sounds like it isn't strictly necessary, so perhaps not a blocker?

#4 - 11/07/2023 08:17 PM - lan Ballou

Pulpcore issue for the jitter: https:/github.com/pulp/pulpcore/issues/4679

#5 - 11/08/2023 03:17 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to lan Ballou

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/315 added

#6 - 11/23/2023 02:33 PM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#7 - 11/23/2023 03:00 PM - lan Ballou
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|7e12c0f4c5e7552d1aa7350c960b5¢c46d0130bbf.

05/12/2024

22


https://github.com/pulp/pulpcore/issues/4679
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/7e12c0f4c5e7552d1aa7350c960b5c46d0130bbf
http://www.tcpdf.org

